Bug 448154 - saslauthd initscript does not support reload()
saslauthd initscript does not support reload()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cyrus-sasl (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 15:47 EDT by Chris Van Hoof
Modified: 2009-09-02 06:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 06:12:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Van Hoof 2008-05-23 15:47:19 EDT
Description of problem:
/etc/rc.d/init.d/saslauthd does not support reload()

Version-Release number of selected component (if applicable):
2.1.22-4

How reproducible:
Easily.  saslauthd's help() returns 'reload' as valid, but the function does not
exist. 

Steps to Reproduce:
1. run /etc/rc.d/init.d/saslauthd help
2. see reload is valid
3. run /etc/rc.d/init.d/saslauthd reload
  
Actual results:
reload fails, and returns help()

Expected results:
should perform a successful reload()

Additional info:
Not sure if reload is something that should be done, perhaps we should just
remove the reload option from the help function.
Comment 1 Tomas Mraz 2008-07-01 12:24:01 EDT
saslauthd doesn't support reload so reload should be removed from the help.
Comment 2 RHEL Product and Program Management 2008-07-21 19:01:52 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 7 errata-xmlrpc 2009-09-02 06:12:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1330.html

Note You need to log in before you can comment on or make changes to this bug.